> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chronosphere.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ListNotifiers



## OpenAPI

````yaml openapi/api_v1_config_openapi3_DOCUMENTATION_ONLY.json GET /api/v1/config/notifiers
openapi: 3.0.3
info:
  description: >

    The Config API provides standard HTTP/JSON REST endpoints for creating,
    reading,

    updating, deleting, and listing configurable Chronosphere resources.


    Use this link to download the raw Swagger specification:

    <a href="/api/v1/config/swagger.json">/api/v1/config/swagger.json</a>
  title: Config V1 API
  version: v1
servers:
  - url: https://{tenant}.chronosphere.io
    variables:
      tenant:
        default: tenant
        description: tenant ID assigned by the service provider
security:
  - ApiKeyAuth: []
tags:
  - name: ConfigV1
paths:
  /api/v1/config/notifiers:
    get:
      tags:
        - Notifier
      operationId: ListNotifiers
      parameters:
        - description: >-
            Sets the preferred number of items to return per page. If set to
            `0`, the

            server will use its default value. Regardless of the value
            specified, clients

            must never assume how many items will be returned.
          in: query
          name: page.max_size
          schema:
            format: int64
            type: integer
        - description: >-
            An opaque page token that identifies which page the client should
            request.

            An empty value indicates the first page.
          in: query
          name: page.token
          schema:
            type: string
        - description: >-
            Filters results by slug, where any Notifier with a matching slug in
            the given list (and matches all other filters) will be returned.
          in: query
          name: slugs
          schema:
            items:
              type: string
            type: array
        - description: >-
            Filters results by name, where any Notifier with a matching name in
            the given list (and matches all other filters) will be returned.
          in: query
          name: names
          schema:
            items:
              type: string
            type: array
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/configv1ListNotifiersResponse'
          description: A successful response.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiError'
          description: An unexpected error response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/genericError'
          description: An undefined error response.
components:
  schemas:
    configv1ListNotifiersResponse:
      properties:
        notifiers:
          items:
            $ref: '#/components/schemas/configv1Notifier'
          type: array
        page:
          $ref: '#/components/schemas/configv1PageResult'
      type: object
    apiError:
      properties:
        message:
          description: An error message describing what went wrong.
          type: string
      type: object
    genericError:
      additionalProperties: true
      type: object
    configv1Notifier:
      properties:
        created_at:
          description: >-
            Timestamp of when the Notifier was created. Cannot be set by
            clients.
          format: date-time
          readOnly: true
          type: string
        discard:
          description: |-
            If `true`, enables the `discard` integration, which discards all
            notifications. Cannot be set if another integration is set.
          type: boolean
        email:
          allOf:
            - $ref: '#/components/schemas/NotifierEmailConfig'
          description: >-
            If an object is specified, sends notifications through an email
            integration.

            Cannot be set if another integration is set.
        name:
          description: >-
            The name of the Notifier. You can modify this value after the
            Notifier is created.
          type: string
        ops_genie:
          allOf:
            - $ref: '#/components/schemas/configv1NotifierOpsGenieConfig'
          description: >-
            If an object is specified, sends notifications through an Opsgenie
            integration.

            Cannot be set if another integration is set.
        pagerduty:
          allOf:
            - $ref: '#/components/schemas/configv1NotifierPagerdutyConfig'
          description: >-
            If an object is specified, sends notifications through a PagerDuty
            integration.

            Cannot be set if another integration is set.
        skip_resolved:
          description: >-
            If `true`, disables notifications for resolved alerts. Cannot be set
            if

            `discard` equals `true`.
          type: boolean
        slack:
          allOf:
            - $ref: '#/components/schemas/configv1NotifierSlackConfig'
          description: >-
            If an object is specified, sends notifications through a Slack
            integration.

            Cannot be set if another integration is set.
        slug:
          description: >-
            The unique identifier of the Notifier. If a `slug` isn't provided,
            one is generated based on the `name` field. You can't modify this
            field after the Notifier is created.
          type: string
        updated_at:
          description: >-
            Timestamp of when the Notifier was last updated. Cannot be set by
            clients.
          format: date-time
          readOnly: true
          type: string
        victor_ops:
          allOf:
            - $ref: '#/components/schemas/configv1NotifierVictorOpsConfig'
          description: >-
            If an object is specified, sends notifications through a VictorOps
            integration.

            Cannot be set if another integration is set.
        webhook:
          allOf:
            - $ref: '#/components/schemas/configv1NotifierWebhookConfig'
          description: >-
            If an object is specified, sends notifications through a webhook
            integration.

            Cannot be set if another integration is set.
      required:
        - name
      type: object
    configv1PageResult:
      properties:
        next_token:
          description: |-
            An opaque page token that identifies the next page of items that the
            client should request. An empty value indicates that there are no
            more items to return.
          type: string
      type: object
    NotifierEmailConfig:
      properties:
        html:
          description: The body of the email to send, in HTML format.
          type: string
        text:
          description: The body of the email to send, in plain text format.
          type: string
        to:
          description: |-
            The email address to send notifications to. Required if including an
            `email` object in your request body.
          type: string
      type: object
    configv1NotifierOpsGenieConfig:
      properties:
        api_key:
          description: >-
            Your Opsgenie API key. Required if including an `ops_genie` object
            in your

            request body.
          type: string
        api_url:
          description: |-
            The Opsgenie API URL to send requests to. Required if including an
            `ops_genie` object in your request body.
          example: https://api.opsgenie.com/
          type: string
        description:
          description: A description of the alert.
          type: string
        details:
          additionalProperties:
            type: string
          description: >-
            A set of key/value pairs with additional information about the
            alert. These

            key/value pairs can include any arbitrary data.
          type: object
        http_config:
          allOf:
            - $ref: '#/components/schemas/configv1NotifierHTTPConfig'
          description: Your HTTP client configuration.
        message:
          description: The alert text.
          type: string
        note:
          description: A note about the alert.
          type: string
        priority:
          description: >-
            The priority level of alert. Possible values are `P1`, `P2`, `P3`,
            `P4`, and `P5`.
          type: string
        responders:
          description: List of responders responsible for notifications.
          items:
            $ref: '#/components/schemas/OpsGenieConfigResponder'
          type: array
        source:
          description: A backlink to the sender of the notification.
          type: string
        tags:
          description: A comma-separated list of tags attached to the notifications.
          type: string
      type: object
    configv1NotifierPagerdutyConfig:
      properties:
        class:
          description: The class of the event.
          type: string
        client:
          description: The client identification of the notification sender.
          type: string
        client_url:
          description: A backlink to the sender of the notification.
          type: string
        component:
          description: The part or component of the affected system that is broken.
          type: string
        description:
          description: A description of the incident.
          type: string
        details:
          additionalProperties:
            type: string
          description: >-
            A set of key/value pairs with additional information about the
            incident. These

            key/value pairs can include any arbitrary data.
          type: object
        group:
          description: A cluster or grouping of services.
          type: string
        http_config:
          allOf:
            - $ref: '#/components/schemas/configv1NotifierHTTPConfig'
          description: Your HTTP client configuration.
        images:
          description: Images to attach to the incident.
          items:
            $ref: '#/components/schemas/PagerdutyConfigImage'
          type: array
        links:
          description: Links to attach to the incident.
          items:
            $ref: '#/components/schemas/PagerdutyConfigLink'
          type: array
        routing_key:
          description: >-
            Your PagerDuty integration key, if using the PagerDuty integration
            type

            `Events API v2`. Cannot be set if `service_key` is set.
          type: string
        service_key:
          description: >-
            Your PagerDuty integration key, if using the PagerDuty integration
            type

            `Prometheus`. Cannot be set if `routing_key` is set.
          type: string
        severity:
          description: |-
            The severity of the incident. Possible values: `critical`, `error`,
            `warning`, or `info`.
          type: string
        url:
          description: The Pagerduty URL to send API requests to.
          type: string
      type: object
    configv1NotifierSlackConfig:
      properties:
        actions:
          items:
            $ref: '#/components/schemas/NotifierSlackConfigAction'
          type: array
        api_url:
          description: >-
            Your Slack webhook API URL. Required if including a `slack` object
            in

            your request body.
          type: string
        callback_id:
          type: string
        channel:
          description: The channel to send notifications to.
          type: string
        color:
          type: string
        fallback:
          type: string
        fields:
          items:
            $ref: '#/components/schemas/SlackConfigField'
          type: array
        footer:
          type: string
        http_config:
          allOf:
            - $ref: '#/components/schemas/configv1NotifierHTTPConfig'
          description: Your HTTP client configuration.
        icon_emoji:
          type: string
        icon_url:
          type: string
        image_url:
          type: string
        link_names:
          type: boolean
        mrkdwn_in:
          items:
            type: string
          type: array
        pretext:
          type: string
        short_fields:
          type: boolean
        text:
          type: string
        thumb_url:
          type: string
        title:
          type: string
        title_link:
          type: string
        username:
          description: The user to send notifications to.
          type: string
      type: object
    configv1NotifierVictorOpsConfig:
      properties:
        api_key:
          description: >-
            Your VictorOps API key. Required if including a `victor_ops` object
            in

            your request body.
          type: string
        api_url:
          description: >-
            The VictorOps API URL. Required if including a `victor_ops` object
            in your

            request body.
          type: string
        custom_fields:
          additionalProperties:
            type: string
          type: object
        entity_display_name:
          description: A summary of the alerted problem.
          type: string
        http_config:
          allOf:
            - $ref: '#/components/schemas/configv1NotifierHTTPConfig'
          description: Your HTTP client configuration.
        message_type:
          description: >-
            The behavior of the alert. Possible values are `CRITICAL`,
            `WARNING`, and

            `INFO`.
          type: string
        monitoring_tool:
          description: The monitoring tool from which the state message originated.
          type: string
        routing_key:
          description: >-
            Your VictorOps routing key. Required if including a `victor_ops`
            object in

            your request body.
          type: string
        state_message:
          description: A detailed explanation of the alerted problem.
          type: string
      type: object
    configv1NotifierWebhookConfig:
      properties:
        http_config:
          allOf:
            - $ref: '#/components/schemas/configv1NotifierHTTPConfig'
          description: Your HTTP client configuration.
        url:
          description: >-
            Your webhook URL. This URL will be called as a `POST` request.
            Required

            if including a `webhook` object in your request body.
          type: string
      type: object
    configv1NotifierHTTPConfig:
      properties:
        basic_auth:
          allOf:
            - $ref: '#/components/schemas/configv1NotifierHTTPConfigBasicAuth'
          description: >-
            If an object is specified, sets an `Authorization` header with the

            values of `password` and `username`. Cannot be set if `bearer_token`
            is

            set.
        bearer_token:
          description: >-
            Sets a token for bearer authentication. Cannot be set if
            `basic_auth` is set.
          type: string
        proxy_url:
          description: >-
            Your proxy URL. (This parameter is deprecated, and custom proxies
            are

            unsupported.)
          type: string
        tls_config:
          allOf:
            - $ref: '#/components/schemas/configv1NotifierHTTPConfigTLSConfig'
          description: Your TLS configuration.
      type: object
    OpsGenieConfigResponder:
      properties:
        id:
          description: >-
            The ID of the responder. Cannot be set if `name` or `username` are
            set.
          type: string
        name:
          description: >-
            The name of the responder. Cannot be set if `id` or `username` are
            set.
          type: string
        responder_type:
          allOf:
            - $ref: '#/components/schemas/ResponderResponderType'
          description: The type of the responder.
        username:
          description: >-
            The username of the responder. Cannot be set if `id` or `name` are
            set.
          type: string
      type: object
    PagerdutyConfigImage:
      properties:
        alt:
          type: string
        href:
          type: string
        src:
          type: string
      type: object
    PagerdutyConfigLink:
      properties:
        href:
          type: string
        text:
          type: string
      type: object
    NotifierSlackConfigAction:
      properties:
        confirm_field:
          $ref: '#/components/schemas/SlackConfigConfirmationField'
        name:
          type: string
        style:
          type: string
        text:
          type: string
        type:
          type: string
        url:
          type: string
        value:
          type: string
      type: object
    SlackConfigField:
      properties:
        short:
          type: boolean
        title:
          type: string
        value:
          type: string
      type: object
    configv1NotifierHTTPConfigBasicAuth:
      properties:
        password:
          type: string
        username:
          type: string
      type: object
    configv1NotifierHTTPConfigTLSConfig:
      properties:
        insecure_skip_verify:
          description: If `true`, disables validation of the server certificate.
          type: boolean
      type: object
    ResponderResponderType:
      enum:
        - TEAM
        - USER
        - ESCALATION
        - SCHEDULE
      type: string
    SlackConfigConfirmationField:
      properties:
        dismiss_text:
          type: string
        ok_text:
          type: string
        text:
          type: string
        title:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: Chronosphere API token
      in: header
      name: API-Token
      type: apiKey

````